## dojox.cometd
Interface DataFilter

All Known Implementing Classes:
  JSONDataFilter, NoMarkupFilter, NoScriptsFilter, RegexFilter

    public interface DataFilter

Data Filter Data filters are used to transform data as it is sent to a Channel.

Method Summary
`Object` `filter(Client from, Channel to, Object data)`

Method Detail

### filter

    Object filter(Client from,
                  Channel to,
                  Object data)
                  throws IllegalStateException

  Parameters:
    `from` -
    `to` - TODO
    `data` -
  Returns:
    The filtered data.
  Throws:
    `IllegalStateException` - If the message should be aborted

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.